<?php  
	function RegistrarVeiculo($placa, $usuario, $pagina){
		global $con;
		$sql = 'insert into tb_veiculo (cd_placa, id_funcionario_entrada) 
				values(?, ?)';
		$res = $con->prepare($sql);
		if($res === false){
			Erro(die("Erro ao preparar a consulta: ".$con->error));
		}
		if(!$res->bind_param('si', $placa, $usuario)){
			Erro(die("erro ao receber parâmetros: ".$res->error));
		}
		if($res->execute()){
			$res->close();
			Confirma("Registrado com sucesso!", $pagina);
		}
		else{
			$res->close();
			Erro(die("Erro ao executar o registro! ".$res->error));
		}
	}

	function ListarVeiculosPatio(){
		global $con;
		$sql = 'select 
				cd_veiculo, 
				upper(cd_placa) as cd_placa, 
				dt_entrada, 
				id_funcionario_entrada, 
				funcEntrada.nm_funcionario
				from tb_veiculo 
				inner join tb_funcionario as funcEntrada 
				on id_funcionario_entrada = funcEntrada.cd_funcionario
				where
				dt_saida is null
				order by dt_entrada desc';
		$res = $con->prepare($sql);
		if($res === false){
			Erro(die("erro ao preparar consulta ".$con->error));
		}
		if(!$res->execute()){
			Erro(die("erro ao executar ".$res->error));
		}
		$res->store_result();
		$res->bind_result($idVeiculo, $placa, $dtEntrada, $idFuncEntrada, $nmFuncEntrada);
		$result = [];
		while($res->fetch()){
			$result[] = [
				'idVeiculo' => $idVeiculo,
				'placa'		=> $placa,
				'data'		=> $dtEntrada,
				'idFunc' 	=> $idFuncEntrada,
				'func'		=> $nmFuncEntrada
			];
		}
		return $result;
		$res->close();
	}
?>